Pulp - Issue #1359

Wrong error message when importer is missing
11/05/2015 09:37 PM - dkliban@redhat.com

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: amacdona@redhat.com Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 2. Medium Groomed: No
Version: Sprint Candidate: No
Platform Release: 2.8.0 Tags: Pulp 2
0OS: Sprint:

Triaged: Yes Quarter:

Description

API says that a repo is missing when instead it should say an importer is missing. | hit this while trying to upload a unit into a repo

without an importer.

https://github.com/pulp/pulp/blob/2.6-release/server/pulp/server/managers/repo/importer.py#L 47

History

#1 - 11/05/2015 10:25 PM - amacdona@redhat.com
- Category set to 14

- Status changed from NEW to MODIFIED

- Assignee set to amacdona@redhat.com

- Platform Release set to 2.8.0

This was changed in the mongoengine conversion:

https://github.com/pulp/pulp/blob/master/server/pulp/server/controllers/importer.py#L 224

https://github.com/pulp/pulp/pull/2114

#2 - 11/06/2015 04:39 PM - mhrivnak

- Triaged changed from No to Yes

Ina and Preethi think there might be another bug report for this issue. Please look for it and mark it as a duplicate if found. Thanks!

#3 - 02/23/2016 09:56 PM - dkliban@redhat.com
- Status changed from MODIFIED to 5

#4 - 03/23/2016 07:13 PM - dkliban@redhat.com
- Status changed from 5 to CLOSED - CURRENTRELEASE

#5 - 04/15/2019 10:41 PM - bmbouter
- Tags Pulp 2 added

#6 - 06/16/2020 10:54 PM - bmbouter
- Category deleted (14)

We are removing the 'API' category per open floor discussion June 16, 2020.
